Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kr.ac.kaist.swrc.jhannanum.plugin.SupplementPlugin.MorphemeProcessor.UnknownMorphProcessor
Class UnknownProcessor

    java.lang.Object
      kr.ac.kaist.swrc.jhannanum.plugin.SupplementPlugin.MorphemeProcessor.UnknownMorphProcessor.UnknownProcessor

All Implemented Interfaces:
  Plugin, MorphemeProcessor

    public class UnknownProcessor

extends java.lang.Object
implements MorphemeProcessor

This plug-in is for morphemes tagged with 'unk'. These morphemes can not be found in the morpheme dictionaries so their POS tag was temporarily mapped with 'unknown'. The most of morphemes not registered in the dictionaries can be expected to be noun with highly probability. So this plug-in maps the 'unk' tag to 'ncn' and 'nqq'. It is a morpheme processor plug-in which is a supplement plug-in of phase 2 in HanNanum work flow.

Author:
  Sangwon Park (hudoni@world.kaist.ac.kr), CILab, SWRC, KAIST

Constructor Summary
`UnknownProcessor()`

Method Summary
`SetOfSentences` | `doProcess(SetOfSentences sos)` It performs post processing of morphological analysis.
`void` | `initialize(java.lang.String baseDir, java.lang.String configFile)` This method is called before the work flow starts in order to initialize the plug-in.
`void` | `shutdown()` This method is called before the work flow is closed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnknownProcessor

    public UnknownProcessor()

Method Detail

### doProcess

    public SetOfSentences doProcess(SetOfSentences sos)

  Description copied from interface: `MorphemeProcessor`
  It performs post processing of morphological analysis. The input and output of this method were a sequence of eojeols, and each eojeol has more than one morphological analysis result. So combinations of morphological analysis result of each eojeol represent different sentences.

  Specified by:
    `doProcess` in interface `MorphemeProcessor`
  Parameters:
    `sos` - - the result of morphologcial analysis
  Returns:
    the result of post processing

### initialize

    public void initialize(java.lang.String baseDir,
                           java.lang.String configFile)
                    throws java.io.FileNotFoundException,
                           java.io.IOException

  Description copied from interface: `Plugin`
  This method is called before the work flow starts in order to initialize the plug-in. A configuration file can be passed to the plug-in, which makes the plug-in more flexible.

  Specified by:
    `initialize` in interface `Plugin`
  Parameters:
    `baseDir` - - the base directory of HanNanum files
    `configFile` - - the path for the configuration file
  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`

### shutdown

    public void shutdown()

  Description copied from interface: `Plugin`
  This method is called before the work flow is closed.

  Specified by:
    `shutdown` in interface `Plugin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD